'Future.Library TrueColor test program using Future.pset and Future.point
'
REM $INCLUDE: 'future.bi'

Set320x200 32

XRes% = 320
YRes% = 200

FOR ydi! = 0 TO 1 STEP 1# / YRes%
X% = 0
        FOR xdi! = 0 TO 1 STEP 1# / XRes%
         R% = (xdi! * ydi! * &HFF)
         G% = (1 - xdi!) * ydi! * &HFF
         B% = (1 - ydi!) * (1 - xdi!) * &HFF
         Future.PSET X%, Y%, RGB2Color&(R%, G%, B%)
         X% = X% + 1
        NEXT
Y% = Y% + 1
NEXT

SLEEP

FOR X% = 0 TO XRes%
        FOR Y% = 0 TO YRes%
         Future.PSET X%, Y%, NOT Future.POINT(X%, Y%)
        NEXT
NEXT


SLEEP

ReSetScreen


